;;; logistische-iteration.scm
;;; x(n+1)<--a*x(n)*(1 - x(n))

(define
  (schritt a x)
  (+ x (* a x  (- 1 x))))

(define
  (tabelle a x n)
  (if
   (zero? n)
   (newline)
   (let
       ((y (schritt a x)))
     (display x)
     (display " --> ")
     (display y)
     (newline)
     (tabelle a y (sub1 n)))))


;(tabelle 2.2 0.15 300)

(require (lib "graphics.ss" "graphics"))
(open-graphics)
(define ausgabe (open-viewport "ausgabe" 300 200))
(define (grafik-beenden) (close-viewport ausgabe) (close-graphics))
((clear-viewport ausgabe))
(define schwarz (make-rgb 0 0 0))
(define rot (make-rgb 1 0 0))


(define
  (graph a x n)
  (if
   (positive? n)
   (let
       ((y (schritt a x)))
     ((draw-pixel ausgabe) (make-posn (- 300 n) (* 100 y)) schwarz)
     (graph a y (sub1 n)))))

(graph 3 0.15 300)
(display "fertig?")(read)
(grafik-beenden)
  